
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>怎么轻松学习JavaScript / iVAN</title>

    <meta name="description" content="怎么轻松学习JavaScript JavaScript给初学者的印象总是那么的&quot;杂而乱&quot;,相信很多初学者都在找轻松学习JavaScript的途径. 我试着总结自己学习多年JavaScript的经验,希望能给后来的学习者探索出一条&quot;轻松学习JavaScript之路&quot;. JavaScript给人那种感觉的原因多半是因为它如下的特点: A:本身知识很抽象.晦涩难懂,如:闭包.内置对象.DOM. B:本身内容很多,如函数库,对象库就一大堆. C:混合多种编程思想. 它里面不但牵涉面向过程编程思想, ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">怎么轻松学习JavaScript</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>JavaScript给初学者的印象总是那么的“杂而乱”，相信很多初学者都在找轻松学习JavaScript的途径。</p>
<p>我试着总结自己学习多年JavaScript的经验，希望能给后来的学习者探索出一条“轻松学习JavaScript之路”。</p>
<p>JavaScript给人那种感觉的原因多半是因为它如下的特点：</p>
<p>A：本身知识很抽象、晦涩难懂，如：闭包、内置对象、DOM。</p>
<p>B：本身内容很多，如函数库，对象库就一大堆。</p>
<p>C：混合多种编程思想。</p>
<p>它里面不但牵涉面向过程编程思想，又有面向对象编程思想，同时，它的面向对象还和别的编程语言(如：C++，JAVA，PHP)不大一样。</p>
<p>就好像又是新的一样，让你对曾经学的面向对象产生了怀疑......</p>
<p>D：辛苦学习后又看似和实际应用脱节。</p>
<p>通常学了很久的js基础之后，变量、函数、对象你也都略知一二，但一到公司开发项目的时候，却又难以下手。</p>
<p>因为公司在开发实际项目的时候通常都是直接用它的衍生库，如：jquery,angular,、boostrap，amaze，layui，ueditor等，而这些库又多如牛毛，同时还有自己的难点。</p>
<p>让你都不知道该学哪个好，甚至都怀疑自己学的是不是js了，好像有多个版本的js一样，总是学不完......</p>
<p>那么，怎么才能在js领域内学的轻松甚至游刃有余呢?我总结了一些实战意义的js学习经验：</p>
<p><strong>首先要紧紧抓住它的地位</strong></p>
<p><a href="http://s2.51cto.com/wyfs02/M01/04/31/wKiom1mjznSRu8pEAABBdWsengg437.jpg-wh_651x-s_622802097.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvMDQvMzEvd0tpb20xbWp6blNSdThwRUFBQkJkV3NlbmdnNDM3LmpwZy13aF82NTF4LXNfNjIyODAyMDk3LmpwZw==.jpg"></a></p>
<p>时刻都不能忘记，否则很容易犯“一叶障目不见泰山”的错误。</p>
<p>不要学了很久就知道js是编程语言，就是写代码、而且特点就是乱七八糟就完了，那样是学不好js的。</p>
<p>要时时抓住它的地位，确切的说是它在整个WEB中的地位：它属于前端的核心，主要用来操控和重新调整DOM，通过修改DOM结构，从而来达到修改页面效果的目的。</p>
<p>要用这个中心思想去指导后续的一切js的学习，并且形成条件反射。</p>
<p>要有一条清晰的学习路线</p>
<p><a href="http://s4.51cto.com/wyfs02/M00/A2/E2/wKioL1mjznTTQ4ZrAAA0f4mIK6w969.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDAvQTIvRTIvd0tpb0wxbWp6blRUUTRackFBQTBmNG1JSzZ3OTY5LmpwZw==.jpg"></a></p>
<p>这个只能是过来人给你提供参考了。</p>
<p>我的学习路线如下：</p>
<p>A：js基础部分，如：定义变量、函数、数组、字符串等的处理，内置函数、内置对象等。</p>
<p>B：js面向过程编程思想，封装出各个函数，试着用这些去做一些常见的小功能，如：选项卡，自定义多选按钮，自定义播放器，3D幻灯片;</p>
<p>C：js面向对象编程思想，试着去封装一些你自己的对象，提供出有意义的接口出来;</p>
<p>D：学了上述的内容，然后学常用的库，这里必须学jquery;</p>
<p>E：学基于Jquery之上的常见插件，如：bootstrap,Layer,富文本编辑器等。</p>
<p>F：综合应用上面的多种库写实际项目的模板，多写几套。</p>
<p><strong>注意学习方法</strong></p>
<p><a href="http://s2.51cto.com/wyfs02/M01/04/31/wKiom1mjzpPDhQNiAAAyoqWvP2w693.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvMDQvMzEvd0tpb20xbWp6cFBEaFFOaUFBQXlvcVd2UDJ3NjkzLmpwZw==.jpg"></a></p>
<p>我的学习方法总结如下：</p>
<p><strong>A：多买几本国外的js书籍，不要购买那种20天精通之类的书。</strong></p>
<p>否则你是很难学通的，更怕的是：本来你买本好书自学3个月可能学会的，它们硬是能折腾你两年......</p>
<p>书籍推荐(仅供参考)</p>
<p>《JavaScript DOM编程艺术》</p>
<p>《JavaScript权威指南》</p>
<p>《javaScript DOM高级程序设计》</p>
<p>《JavaScript设计模式》</p>
<p>《锋利的jquery》</p>
<p>争取把书上的功能都自己练习多次，不是一次。书读百篇，其义自见。</p>
<p><strong>B：从多角度去学习和领悟</strong></p>
<p>充分调动你所学的东西，从多角度的去做某一功能，如：以前你是从面向过程角度做的，</p>
<p>现在改为从面向对象的角度再来做，或者继续做成可以直接使用的插件，提供属性、方法等出来。争取让你做的这个功能逐渐能使用到实际项目中来。</p>
<p>这样的好处：既综合应用了你的所学，又能有实际意义。</p>
<p><strong>C：一定不要好高骛远</strong></p>
<p>不要放过哪怕很小的动手机会，如做一个选项卡。</p>
<p>千万不要认为有了类似的甚至更好的插件就不需要自己写了，知识是别人的，不是你的，你即使会用了也对你的技术技能水平没有任何提升。</p>
<p>你要多问自己，如果要我来做，我该怎么做?</p>
<p><strong>D：脚踏实地的同时，也不要脱离实际</strong></p>
<p>多看现在网上已经出现的效果好的功能，让它去激发你的学习热情，尽量去学着模拟，调动你的知识去和实际相结合。</p>
<p><strong>E：多写总结</strong></p>
<p>这种总结不但包括源代码、显示效果截图，还应该很容易犯的错误和对应的解决方法以及最后一两句精简的结论性语句。</p>
<p>对自己写的总结不是写完了就了事了，要多回顾，多改进，多精简。到做项目的时候，应该是看里面的一两句话就知道是讲什么了，而不要再去看长篇大论了。</p>
<p><strong>F：构建知识导图</strong></p>
<p>这个可以让你越学越清晰，比如：http://www.phpkhbd.com/sky.html，你可以按你喜欢的任何形式去做，只要自己印象深刻就行。</p>
<p>注意：知识导图也应该是经常修改、修正，让它更合理、更清晰。</p>
<p><strong>注意事项</strong></p>
<p><a href="http://s5.51cto.com/wyfs02/M02/04/32/wKiom1mjzs3wrvt7AAApsvq4FKs382.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczUuNTFjdG8uY29tL3d5ZnMwMi9NMDIvMDQvMzIvd0tpb20xbWp6czN3cnZ0N0FBQXBzdnE0RktzMzgyLmpwZw==.jpg"></a></p>
<p><strong>A：充分利用一切手段</strong></p>
<p>很多人总感觉时间紧，没有大块的时间学习。我要说你不会学了，你不应该只是抱怨，而是要利用一切手段去学习，要知道，不一定只有看书才叫学习。</p>
<p>当你冷静的坐在某个地方，思考了一下，总结了一下，你也都叫学习，但凡有灵感，就可以记录下来，比如：记录在手机上，等方便了再记录在专门的地方。这都叫学习。</p>
<p><strong>B：贵在坚持</strong></p>
<p>要沉的下心。没有一蹴而就的成功，否则那也不是成功，只能叫“侥幸”。</p>
<p>不但要老老实实的把每个功能都试着去实现，而且要精益求精的不断去修正，这个过程是漫长的，也是考验一个人是否是人才的标准。</p>
<p><strong>C：注意培养信心</strong></p>
<p>此时的你，不适合一来就看很复杂很炫的网页效果的源代码，也不适合一来就学jquery，angular,vue，bootstrap这些东西。</p>
<p>这些内容包含了很多深奥的知识在里面，在没有任何基础的情况下直接学这些，会严重打击你的自信心。</p>
<p>而此时你是弱小的，你需要的是培养信心，而不是反过来，否则结局很可能是“夭折”，离学有所成也就遥遥无期了。</p>
<p><strong>D：多跟学的好的过来人学习</strong></p>
<p>站在巨人的肩上，才能看的更远。</p>
<p>E：不要浪费在工具的不停选择上</p>
<p>js的编辑工具很多，如果无从下手，建议使用：sublime，或者使用Hbuilder;很多公司里的技术人员都用这些，你直接用这个也减少了和别人之间的沟通问题。</p>
<p>我也是用这个，感觉很好。</p>
<p><strong>总结</strong></p>
<p><a href="http://s2.51cto.com/wyfs02/M01/A2/E3/wKioL1mjzwugY1e-AAAWhIGHj6c464.jpg" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDEvQTIvRTMvd0tpb0wxbWp6d3VnWTFlLUFBQVdoSUdIajZjNDY0LmpwZw==.jpg"></a></p>
<p>感觉js学起来“杂而乱”的原因是因为你太“聪明”了，一开始就管的太宽，利害得失也计算的太精细。</p>
<p>要求太完美则心里承受能力下降，很容易出现“障”。此时，你应该“笨”一些，不要考利那么长远，“傻人有傻福”，只要做好今天就够了。</p>
<p>一些不合理的学习方法和心态也让你迷失了自我：如：心浮气躁、眼高手低、好高骛远，这些都会让你在“乱七八糟”的js面前深陷迷雾、不能自拔。</p>
<p>此时，你应该重新定位自己的位置，重新去认识js，放下包袱，方能轻松上阵。把杯子先倒空，才能灌新水......</p>
<p>其实，js是前端的核心。影响越来越深的互联网+会渴求越来越多的js人才，只有经历过真正刻骨铭心的学习经历，才能造就出赢得未来的真正精英。</p>
<p>作者：佚名</p>
<p>来源：51CTO</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 19:56:09</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%8f%92%e4%bb%b6/" title="插件">插件</a>, <a href="https://www.iamivan.net/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.iamivan.net/tag/%e9%9d%a2%e5%90%91%e5%af%b9%e8%b1%a1/" title="面向对象">面向对象</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b%e8%af%ad%e8%a8%80/" title="编程语言">编程语言</a>, <a href="https://www.iamivan.net/tag/%e9%9d%a2%e5%90%91%e5%af%b9%e8%b1%a1%e7%bc%96%e7%a8%8b/" title="面向对象编程">面向对象编程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>怎么轻松学习JavaScript的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8oVZb.html" rel="bookmark">轻松学习Javascript闭包函数&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				闭包函数是什么?在开始学习的闭包的时候,大家很能都比较难理解.就从他的官方解释来说,都是比较概念化的. 不过我们也还是从闭包的含义出发. 闭包是指函数有自由独立的变量.换句话说,定义在闭包中的函数可以&quot;记忆&quot;它创建时候的环境. 官方解释说完后,我们先来看一个简单计数的例子. var c = 0; function count(){ c++; } count();// 1 count();// 2 这个例子是利用了全局变量来实现,但是这里有个问题是,c这个变量也容易被其他方式所调用,这时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKJaOz.html" rel="bookmark">仅9张思维导图帮你轻松学习Javascript 就这么简单&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习的道路就是要不断的总结归纳,好记性不如烂笔头,so,下面将分享收集的 9 张 javascript 相关的思维导图(非原创). 思维导图小tips: 思维导图又叫心智图,是表达发射性思维的有效的图形思维工具 ,它简单却又极其有效,是一种革命性的思维工具.思维导图运用图文并重的技巧,把各级主题的关系用相互隶属与相关的层级图表现出来,把主题关键词与图像.颜色等建立记忆链接,思维导图充分运用左右脑的机能,利用记忆.阅读.思维的规律,协助人们在科学与艺术.逻辑与想象之间平衡发展,从而开启人类大脑的无			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9WGXz.html" rel="bookmark">轻松学习XML教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|教程 XML越来越热,关于XML的基础教程网络上也随处可见.可是一大堆的概念和术语往往让人望而生畏,很多朋友问我:XML到底有什么用,我们是否需要学习它?我想就我个人学习过程的心得和经验,写一篇比较全面的介绍文章.首先有两点是需要肯定的: 第一:XML肯定是未来的发展趋势,不论是网页设计师还是网络程序员,都应该及时学习和了解,等待只会让你失去机会: 第二:新知识肯定会有很多新概念,尝试理解和接受,您才可能提高.不要害怕和逃避,毕竟我们还年轻. 提纲 本文共分五大部分.分别是XML快速入门			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM92rvp.html" rel="bookmark">XML轻松学习手册（4）XML语法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|语法 第四章 XML语法 提纲: 一.XML语法规则 二.元素的语法 三.注释的语法 四.CDATA的语法 五.Namespaces的语法 六.entity的语法 七.DTD的语法 通过前面三章的学习,我们已经对什么是XML,它的实现原理以及相关的术语有所了解.接下来我们就开始学习XML的语法规范,动手写自己的XML文档. 一.XML语法规则 XML的文档和HTML的原代码类似,也是用标识来标识内容.创建XML文档必须遵守下列重要规则:规则1:必须有XML声明语句这一点我们在上一章学习时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGml3M.html" rel="bookmark">XML轻松学习手册（5）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml 第四章 XML语法 七.DTD的语法 DTD是&quot;有效XML文档&quot;的必须文件,我们通过DTD文件来定义文档中元素和标识的规则及相互关系.如何建立一个DTD文件呢?让我们一起来学习: 1.设置元素 元素是XML文档的基本组成部分.你要在DTD中定义一个元素,然后在XML文档中使用.元素的定义语法为:&lt;!ELEMENT DESCRIPTION (#PCDATA, DEFINITION)*&gt; 说明: &quot;&lt;!ELEMENT&quot; 是元素的声明,说明你要定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNeXDb.html" rel="bookmark">新手快速学习JavaScript免费教程资源汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了新手快速学习JavaScript免费教程资源汇总,都是非常不错的学习站点,有需要的小伙伴可以参考下. &quot;JavaScript&quot;的名头相信大家肯定是耳熟能详,但只有一小部分人群了解它的使用与应用程序构建方式.这&quot;一小部分&quot;人指的当然是技术过硬的有为青年.网络程序员以及IT专业人员.但对于一位新手或者说外行人而言,&quot;JavaScript&quot;只不过是复杂计算机编程学科当中的另一个不知所云的术语. 那么,JavaScript到底是什么			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1DwOz.html" rel="bookmark">&lbrack;译&rsqb; 学习 JavaScript：9 个常见错误阻碍你进步</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是[译] 学习 JavaScript:9 个常见错误阻碍你进步, 原文地址:Learning JavaScript: 9 Common Mistakes That Are Holding You Back 原文作者:Yaphi Berhanu 译文出自:掘金翻译计划 本文永久链接:github.com/xitu/gold-m- 译者:lekenny 校对者:lampui,Yuuoniy 很多人尝试学习 JavaScript ,但是不久就放弃了.然后他们就告诉自己,&quot;JavaScript			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZR9Bb.html" rel="bookmark">新手快速学习JavaScript免费教程资源汇总&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;JavaScript&quot;的名头相信大家肯定是耳熟能详,但只有一小部分人群了解它的使用与应用程序构建方式.这&quot;一小部分&quot;人指的当然是技术过硬的有为青年.网络程序员以及IT专业人员.但对于一位新手或者说外行人而言,&quot;JavaScript&quot;只不过是复杂计算机编程学科当中的另一个不知所云的术语. 那么,JavaScript到底是什么? 如果各位拥有在计算机领域的工作经验,那么绝对不能错过强大的JavaScript. 它是知名度最高的Web页面脚本语言.它			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPllGDp.html" rel="bookmark">轻松学习XML教程&lowbar;XML基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				传统上,我们浏览网页,如果加入最新的数据.只能是等我们重新向服务器端请求时才能显示出来. 但是,对于一些时效性很强的网站.传统的这种做法是不能满足的. XML越来越热,关于XML的基础教程网络上也随处可见.可是一大堆的概念和术语往往让人望而生畏,很多朋友问我:XML到底有什么用,我们是否需要学习它?我想就我个人学习过程的心得和经验,写一篇比较全面的介绍文章.首先有两点是需要肯定的:  第一:XML肯定是未来的发展趋势,不论是网页设计师还是网络程序员,都应该及时学习和了解,等待只会让你失去机会: 			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlBXLz.html" rel="bookmark" class="title">Winform  调用WCF客户端，所有服务端方法在运行的时候均找不到（编译没有问题）</a>
					<div>
						  今天在开发过程中遇到了一个很恶心的问题,就是Form窗体ShowDialog的时候,直接报出下面的错误: 有关调用实时(JIT)调试而不是此对话框的详细信息, 请参见此消息的结尾. ******* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNke4p.html" rel="bookmark" class="title">data representation layer</a>
					<div>
						 上个周末我去了一个技术的沙龙,主要的内容是关于开源软件框架应用与软件架构.很有意思的一个讲座以后还要再去听.目前我国的软件有很多的平台和编程语言,比如.net  j2ee等,在每个语言里面还有相应的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6227NM.html" rel="bookmark" class="title">ASP&period;NET Web API：如何Host定义在独立程序集中的Controller</a>
					<div>
						通过&lt;ASP.NET Web API的Controller是如何被创建的?&gt;的介绍我们知道默认ASP.NET Web API在Self Host寄宿模式下用于解析程序集的Assemblie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRnaRz.html" rel="bookmark" class="title">SOAP协议初级指南</a>
					<div>
						SOAP(Simple Object Access Protocal) 技术有助于实现大量异构程序和平台之间的互操作性,从而使存在的应用能够被广泛的用户所访问.SOAP是把成熟的基于HTTP的WEB技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd72q6M.html" rel="bookmark" class="title">360安全卫士下载的漏洞补丁在哪里</a>
					<div>
						  360安全卫士下载的漏洞补丁在哪里          工具/原料 360安全卫士 方法/步骤 首先在电脑上打开360安全卫士,如图所示: 点击右上角的[倒三角]图标,弹出下拉菜单,如图所示: 在下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yaQQz.html" rel="bookmark" class="title">Photoshop给草地上的人物加上绚丽的秋季暖色</a>
					<div>
						素材图片基本都是绿色为主,处理的时候我们先把主色转为黄褐色;然后给暗部区域增加一些蓝色,中间区域渲染一些淡黄色高光;最后加强局部明暗,把整体处理柔和即可. 原图 最终效果 分类: PS调色教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwnGkb.html" rel="bookmark" class="title">关于服务器的知识</a>
					<div>
						  目前按照外形结构划分,服务器可分为塔式.机架式.刀片式三种类型. 塔式服务器 一般的塔式服务器机箱和我们常用的PC机箱差不多,而大型的塔式机箱就要粗大很多,总的来说外形尺寸没有固定标准. 机架式服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArLkep.html" rel="bookmark" class="title">如何安装向日葵开机棒</a>
					<div>
						  如何安装向日葵开机棒 步骤一:安装开机棒 插入电源适配器,给向日葵开机棒供电,并连接至路由. 注意:观察状态指示灯显示是否正常,若指示灯未亮,请检查连接是否正常.开机棒指示灯状态说明请参考帮助:h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e7oAb.html" rel="bookmark" class="title">vcredist</a>
					<div>
						  Microsoft Visual C++ 2012 Redistributable (arm) 也就是vc运行库,不是病毒,放心 是微软的东东 部署应用程序时,还必须部署支持该应用程序所需的文件. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrq9aM.html" rel="bookmark" class="title">android&period;intent&period;action&period;SIG&lowbar;STR android广播获得信号强度</a>
					<div>
						问题描述 如何通过android.intent.action.SIG_STR的广播获得android手机的信号强度.代码是怎么实现的.奖励很重的哟.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PVNrp.html" rel="bookmark" class="title">巧用Excel批量计算年龄</a>
					<div>
						一位做http://www.aliyun.com/zixun/aggregation/30071.html&quot;&gt;保险业务的朋友接到一笔团队大订单,有近千条记录.她花了半天的时间用Word ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVJBAb.html" rel="bookmark" class="title">最大公约数和最小公倍数</a>
					<div>
						#include &lt;stdio.h&gt; // 功能描述:求两个数的最大公约数 long gcd(int lhs, int rhs) { int r = 0; while (rhs) { r  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Z1Vb.html" rel="bookmark" class="title">poj 1939 Diplomatic License</a>
					<div>
						完全没有任何难度,读懂题目就可以了,但是要注意一点. 题目大意:给定n个坐标,求n个中点-- trick:与题目无关,poj的g++浮点数运算有问题 只要g++,用lf或者f稳跪,poj妥妥超时! 改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlRvkb.html" rel="bookmark" class="title">【转】jQuery中的编程范式</a>
					<div>
						原文地址:http://www.iteye.com/topic/1119283        浏览器前端编程的面貌自2005年以来已经发生了深刻的变化,这并不简单的意味着出现了大量功能丰富的基础库,使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3lE8z.html" rel="bookmark" class="title">关于java问题-Java新手求助，纠结了好久了！</a>
					<div>
						问题描述 Java新手求助,纠结了好久了! 学Java没几天,看的是毕向东的视频.结合书本来看.但是我看书本上面类的前面都加public,而他的视频上面没有加,这是怎么回事?难道他教的过时了吗? 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7mJwp.html" rel="bookmark" class="title">eclipse-Eclipse中安卓工程怎么修复</a>
					<div>
						问题描述 Eclipse中安卓工程怎么修复 从别的电脑里下了我的工程,然后导入到Eclipse里面,然后出问题了. 我已经在project菜单里清空了project,然后在工具栏里面修复工程属性,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40e2Jz.html" rel="bookmark" class="title">《MySQL排错指南》&mdash;&mdash;1&period;1　语法错误</a>
					<div>
						1.1 语法错误 这个错误听起来十分简单,但仍可能很难发现.我建议你像处理其他问题一样,非常细心地查找可能出现的SQL语法错误. 类似如下错误,很容易被发现: 在这个示例中,很显然用户少转入了个&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEe4EM.html" rel="bookmark" class="title">蓝屏死机&rdquo;再见？Win10 正测试&OpenCurlyDoubleQuote;绿屏&rdquo;死机</a>
					<div>
						死机蓝屏是Windows用户很熟悉的一种特征.不过随着操作系统的改进,它们出现的次数越来越少,在今年年初,微软公司通过添加一个二维码来进一步调整死机绿屏,帮助用户更容易地访问信息,来帮助他们诊断问题可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYZ1ap.html" rel="bookmark" class="title">小鸟云计算丨核心技术革新才是质量之本</a>
					<div>
						在市场经济快速发展的今天,企业间竞争日趋激烈,质量对于一个企业的重要性日益明显,产品质量的高低是企业有没有核心竞争力的重要体现之一,提高产品质量是保证企业占有市场,从而能够持续经营的重要手段. 像任何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZXN6z.html" rel="bookmark" class="title">FreeFileSync：在Ubuntu中对比及同步文件</a>
					<div>
						FreeFileSync 是一个自由.开源以及跨平台的文件夹对比及同步软件,它可以帮助你同步 Linux.Windows 和 Mac OS 中的文件和文件夹. 它是便携的,也可以被安装在本地系统中,它 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXJEWz.html" rel="bookmark" class="title">杀毒软件前20名排行榜出炉</a>
					<div>
						具有一定权威性的TopTenREVIEWS网站每年都会进行一次全球杀毒软件综合功能评选,近日2009年度的杀毒软件前20名排行榜出炉,不过此排名并非简单的按照杀毒软件的查杀能力来排序.TopTenRE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj3gQM.html" rel="bookmark" class="title">PHP实现统计在线人数功能示例&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP实现统计在线人数的方法.分享给大家供大家参考,具体如下: 我记得ASP里面统计在线人数用application 这个对象就可以了.PHP怎么设计? PHP对session对象的封装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg52AM.html" rel="bookmark" class="title">求助~怎么将得到的二进制图片插入到现有的xml文件中</a>
					<div>
						问题描述 RT先有一个问题,需要根据xml中的一个字段值,从数据库中得到二进制图片,怎么在xml中显示这个二进制图片??? 解决方案 解决方案二: 解决方案三:是在我现有的xml文件中怎么显示我得到的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ndXPz.html" rel="bookmark" class="title">求教分页效率问题</a>
					<div>
						问题描述 我想查一个大表的数据,大概有10M条数据,取其中的25条.测试发现两种方法时间差别很大,想求问大神原因.第一种SELECT * FROM (SELECT t.*,row_number() O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdynPdz.html" rel="bookmark" class="title">中国网游公司盈利增长放缓下纷纷示好苹果以此拉动营收</a>
					<div>
						昨日,盛大游戏董事长兼CEO谭群钊在上海确认,最快将于第三季度推出针对苹果iPhone手机和iPad平板电脑的数款游戏.这已经是近日来第二家中国网游公司表示愿意为苹果制作游戏.分析人士认为,中国网游公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg8N4M.html" rel="bookmark" class="title">关于下面问题的解释</a>
					<div>
						问题描述 j2ee容器如何理解???? 解决方案 解决方案二:该回复于2010-05-18 09:09:52被版主删除解决方案三:J2EE容器为J2EE应用程序组件提供运行时支持.J2EE应用程序组件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1wJxb.html" rel="bookmark" class="title">eBay新建网站联盟提升网站流量</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 3月19日消息,本周一,美国在线交 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkYN0p.html" rel="bookmark" class="title">《福布斯》：好莱坞影星收入排行威尔&CenterDot;史密斯居榜首</a>
					<div>
						据新华社电&lt;福布斯&gt;杂志日前公布了好莱坞影星过去一年的收入排行榜,威尔·史密斯位居榜首. 法新社23日报道,&lt;福布斯&gt;杂志榜单提供的数据显示,在2007年6月1日至2008年6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2XKWM.html" rel="bookmark" class="title">CSS使用学习总结&lowbar;经验交流</a>
					<div>
						尽量少使用类,因为可以层叠识别,如: .News h3而不必在h3上加类 &lt;div class=&quot;News&quot;&gt; &lt;h3&gt;&lt;/h3&gt; &lt;h2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrw62p.html" rel="bookmark" class="title">Android平台中一些免费的UI库及组件资源</a>
					<div>
						短短数年时间 Android 平台就已经形成了一个庞大而活跃的开发者社区.许多社区开发的项目业已进入成熟阶段,甚至可以用于商业的软件生产中,且不用担心质量问题.本文编译自 androiduipatte ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.086 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
